* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body {
  background: black;
  height: 100vh;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
}

/* Container input */
.password-box {
  position: relative;
  z-index: 2;
  padding: 10px;
  border-radius: 10px;
}

.password-box h2 {
  text-align: center;
  margin-bottom: 15px;
  font-weight: normal;
}
.password-box input::placeholder {
  color: rgba(0, 255, 102, 0.5);
}

.password-box input:focus {
  border-bottom: 2px solid #00ffaa;
  box-shadow: 0 5px 15px rgba(0, 255, 102, 0.4);
}
.password-box input {
  width: 260px;
  padding: 10px 5px;
  font-size: 18px;
  background: transparent;
  border: none;
  border-bottom: 2px solid #00ff66;
  outline: none;
  text-align: center;
  color: #00ff66;
  caret-color: #00ff66;
}

/* Canvas bintang */
canvas {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}

/* ===== ANIMASI SALAH (SHAKE) ===== */
@keyframes shake {
  0% {
    transform: translateX(0);
  }
  20% {
    transform: translateX(-6px);
  }
  40% {
    transform: translateX(6px);
  }
  60% {
    transform: translateX(-6px);
  }
  80% {
    transform: translateX(6px);
  }
  100% {
    transform: translateX(0);
  }
}

.shake {
  animation: shake 0.4s;
}

.error input {
  border-bottom-color: red !important;
  box-shadow: 0 5px 15px rgba(255, 0, 0, 0.6);
  color: red;
}

/* ===== ANIMASI BENAR (UNLOCK) ===== */
@keyframes unlock {
  0% {
    transform: scale(1);
    box-shadow: 0 0 10px #00ff66;
  }
  50% {
    transform: scale(1.1);
    box-shadow: 0 0 30px #00ff66;
  }
  100% {
    transform: scale(0.8);
    opacity: 0;
  }
}

.success {
  animation: unlock 0.6s forwards;
}

.success input {
  border-bottom-color: #00ff66;
  box-shadow: 0 0 30px rgba(0, 255, 102, 0.9);
}
